+++
date = "2019-01-25"
tags = []
title = "Successful Bloggers That Ditched Ads"
draft = false
+++

It's hard to justify removing ads from your blog. What if your blog suddenly becomes popular? Without ads already in place, you might lose out on potential revenue. These are some thoughts that might run through your head.

What if you already have a steady income stream from advertising? If you are doing well, it might seem like a bad financial decision to remove the ads. I have come across several bloggers that were in this exact situation. Their writing was successful, and they were making plenty of money from advertising. Yet they still decided to ditch the ads, and in the long term this decision benefitted them immensely.

## Steve Pavlina

Steve is the author of a popular personal development blog. In 2008, he said [goodbye to $100K per year in easy income](https://www.stevepavlina.com/blog/2008/10/dropping-adsense-saying-goodbye-to-100k-per-year-in-easy-income/). His previous strategy was simple. Using Google AdSense, he added some banner advertising to his blog. People stumbled across his blog, read some articles, and he received a steady stream of income as a result of people viewing or clicking on the ads.

But it wasn't all that great. He saw ads popping up for things that ran against the ideas in his writing. For example, fast food ads on posts about eating healthy. With AdSense, you can control the ads to some degree, but with the shear number of ads served through the AdSense network, it's impossible to be sure that the ads will align with your content.

So what happened after he ditched the ads? In the short term, income went down of course. But his blog continued to grow, and he had to think of more substantial ways to keep it going. This led to him create courses, workshops, and other paid events later on down the road. This change forced him out of his comfort zone (it's easy to get comfortable when all you have to do is sit behind your computer and write a post every once in a while), and these alternative methods of making money turned out to bring greater value to his readers.

## Leo Babauta

Leo created Zen Habits in 2007. At the beginning, it was supported by ads. In May 2009, he [removed most of the advertising](https://zenhabits.net/zen-habits-declutters-its-ads/) from his blog. Eventually, all advertising went away. Like Steve, he experienced a significant drop in revenue. Ten years later, the blog is thriving and is more successful than ever with over 2 million readers.

Similar to the path that Steve took, Leo had to find other ways to monetize his blog. He started writing books, courses, and an online habit change program that is still going today. These ways of making money took more effort, but in the long run they turned out to be objectively better than the advertisements. They made the blog less cluttered, and they brought in at least the same revenue, but probably more since there was no longer a "middle man" taking a chuck of the money.

## Conclusion

These are two examples of bloggers who completely removed ads from their blogs but in the long term found greater success as a result.

This won't work for every blog. If your content has no substance, it's unlikely that you'll find other ways to monetize it. If your readers are transient, visiting your blog because you write clickbait titles, then it's not likely that you'll find anyone actually willing to pay. In this case, ads are the only way to make money. But if ads are the only way to monetize your content, is your content actually providing value to anyone? Consider this carefully.